> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach hostname from brokerage firm

> Removes the association between a hostname and the specified brokerage firm.



## OpenAPI

````yaml /openapi.json delete /brokerage-firms/{brokerageFirmId}/hostnames/{hostname}
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/hostnames/{hostname}:
    delete:
      tags:
        - brokerage-firms
      summary: Detach hostname from brokerage firm
      description: >-
        Removes the association between a hostname and the specified brokerage
        firm.
      operationId: BrokerageFirmController_detachHostnameFromBrokerageFirm
      parameters:
        - name: hostname
          required: true
          in: path
          description: Hostname
          schema:
            type: string
        - name: brokerageFirmId
          required: true
          in: path
          description: Brokerage firm id
          schema:
            type: string
      responses:
        '200':
          description: Hostname detached successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetachHostnameToBrokerageFirmOutput'
components:
  schemas:
    DetachHostnameToBrokerageFirmOutput:
      type: object
      properties: {}

````